Last Comment Bug 448482 - No Proxy For: port Bug 311779 (map IE's ";" into ",") into "pref-proxies.js"
: No Proxy For: port Bug 311779 (map IE's ";" into ",") into "pref-proxies.js"
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 19:43 PDT by benc
Modified: 2012-03-12 18:45 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Port Bug 311779 : Map IE's ";" into ",". (v1) (1.61 KB, patch)
2012-03-08 07:02 PST, Edmund Wong (:ewong)
no flags Details | Diff | Review
Port Bug 311779 : Map IE's ";" into ",". (v2) (1.60 KB, patch)
2012-03-09 04:26 PST, Edmund Wong (:ewong)
no flags Details | Diff | Review
Port |Bug 311779 (map IE's ";" into ",")| (v3) (1.60 KB, patch)
2012-03-11 20:24 PDT, Edmund Wong (:ewong)
iann_bugzilla: review+
Details | Diff | Review

Description benc 2008-07-29 19:43:27 PDT
No proxy for appears in:

/suite/common/pref/pref-proxies.js

In FF and Calendar, connection.js was modified to allow cut-and-paste IE no proxy configs to work auto-magically.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2008-10-05 04:28:06 PDT
This was just fixed for Thunderbird, too (bug 448479). SeaMonkey seems to take a more general approach for changing prefs, at least I couldn't find anything concerning actually changing prefs in pref-proxies.js. I guess oncommand and onChange, both used in pref-proxies.xul, are the wrong handlers for implementing this (the former fires on activating, the latter on changing an element).
Comment 2 Edmund Wong (:ewong) 2012-03-08 07:02:57 PST
Created attachment 604046 [details] [diff] [review]
Port Bug 311779 : Map IE's ";" into ",".  (v1)
Comment 3 Jens Hatlak (:InvisibleSmiley) 2012-03-08 09:17:28 PST
Comment on attachment 604046 [details] [diff] [review]
Port Bug 311779 : Map IE's ";" into ",".  (v1)

Review of attachment 604046 [details] [diff] [review]:
-----------------------------------------------------------------

::: suite/common/pref/pref-proxies.js
@@ +218,5 @@
> +
> +function UpdateProxies()
> +{
> +  var noProxiesPref = document.getElementById("network.proxy.no_proxies_on");
> +  noProxiesPref.value = noProxiesPref.value.replace(/[;]/g,',');

Nit: I think this can/should be
  .replace(/;/g, ",");
(the brackets are unnecessary, we usually have a space after a comma, and use double quotes).
Comment 4 Edmund Wong (:ewong) 2012-03-09 04:26:45 PST
Created attachment 604372 [details] [diff] [review]
Port Bug 311779 : Map IE's ";" into ",".  (v2)

Fixed nit from comment #3.
Comment 5 Jens Hatlak (:InvisibleSmiley) 2012-03-09 05:14:50 PST
Comment on attachment 604372 [details] [diff] [review]
Port Bug 311779 : Map IE's ";" into ",".  (v2)

Review of attachment 604372 [details] [diff] [review]:
-----------------------------------------------------------------

::: suite/common/pref/pref-proxies.js
@@ +218,5 @@
> +
> +function UpdateProxies()
> +{
> +  var noProxiesPref = document.getElementById("network.proxy.no_proxies_on");
> +  noProxiesPref.value = noProxiesPref.value.replace(/;/g,', ');

Sorry for confusing you. I meant space after a comma /in code/, not /in a string/. ;-) See my example, which you could/should have copied 1:1.
Comment 6 Edmund Wong (:ewong) 2012-03-11 20:24:11 PDT
Created attachment 604824 [details] [diff] [review]
Port |Bug 311779 (map IE's ";" into ",")| (v3)
Comment 7 Edmund Wong (:ewong) 2012-03-12 18:45:35 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/5df4e53682a2

Note You need to log in before you can comment on or make changes to this bug.